function getVertices(vertices)
    local ret = {}
    for v, pos in ipairs(vertices) do
	    table.insert(ret, pos[1])
		table.insert(ret, pos[2])
	end
	return unpack(ret)
end

function getArea(vertices)
    table.insert(vertices, vertices[1])
	local n = {}
	for l = 1, 2 do
	    n[l] = 0
	    for i = 1, #vertices do
	        if vertices[i+1] then
			    n[l] = n[l]+vertices[i][l]*vertices[i+1][3-l]
	    	end
	    end
	end
	return math.abs(n[1]-n[2])/2
end

local vertices = {
[1] = {30, 40},
[2] = {50, 110},
[3] = {120, 80},
[4] = {160, 90},
[5] = {90, 50},
[6] = {50, 60},
}

local area = getArea(vertices)

function love.draw()
    love.graphics.polygon("line", getVertices(vertices))
	love.graphics.print("Area: " .. area, 10, 10)
end
